You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
49 lines
1.6 KiB
49 lines
1.6 KiB
# --- SDE-COPYRIGHT-NOTE-BEGIN --- |
|
# This copyright note is auto-generated by ./scripts/Create-CopyPatch. |
|
# |
|
# Filename: package/.../uclibc/pkg_patch/gcc/100-uclibc-conf.patch |
|
# Copyright (C) 2009 The OpenSDE Project |
|
# |
|
# More information can be found in the files COPYING and README. |
|
# |
|
# This patch file is dual-licensed. It is available under the license the |
|
# patched project is licensed under, as long as it is an OpenSource license |
|
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms |
|
# of the GNU General Public License as published by the Free Software |
|
# Foundation; either version 2 of the License, or (at your option) any later |
|
# version. |
|
# --- SDE-COPYRIGHT-NOTE-END --- |
|
|
|
--- gcc/contrib/regression/objs-gcc.sh |
|
+++ gcc/contrib/regression/objs-gcc.sh |
|
@@ -105,6 +105,10 @@ |
|
then |
|
make all-gdb all-dejagnu all-ld || exit 1 |
|
make install-gdb install-dejagnu install-ld || exit 1 |
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ] |
|
+ then |
|
+ make all-gdb all-dejagnu all-ld || exit 1 |
|
+ make install-gdb install-dejagnu install-ld || exit 1 |
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then |
|
make bootstrap || exit 1 |
|
make install || exit 1 |
|
--- gcc/libjava/classpath/ltconfig |
|
+++ gcc/libjava/classpath/ltconfig |
|
@@ -603,7 +603,7 @@ |
|
|
|
# Transform linux* to *-*-linux-gnu*, to support old configure scripts. |
|
case $host_os in |
|
-linux-gnu*) ;; |
|
+linux-gnu*|linux-uclibc*) ;; |
|
linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'` |
|
esac |
|
|
|
@@ -1251,7 +1251,7 @@ |
|
;; |
|
|
|
# This must be Linux ELF. |
|
-linux-gnu*) |
|
+linux*) |
|
version_type=linux |
|
need_lib_prefix=no |
|
need_version=no
|
|
|